"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Themes = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _actions = require("../../actions");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class Themes extends _react.Component {
  render() {
    const theme = this.props.theme;
    const formData = {
      theme: theme.theme,
      scheme: theme.scheme,
      colorPreference: theme.colorPreference
    };
    return /*#__PURE__*/_react.default.createElement(_ui.Container, null, /*#__PURE__*/_react.default.createElement(_ui.Form, {
      schema: {
        type: 'object',
        properties: {
          theme: {
            type: 'string',
            enum: (0, _ui.listThemes)()
          },
          scheme: {
            title: 'color scheme',
            type: 'string',
            enum: (0, _ui.listSchemes)()
          },
          colorPreference: {
            title: 'theme color',
            type: 'string',
            enum: ['auto', 'light', 'dark']
          }
        }
      },
      formData: formData,
      noSubmit: true,
      onChange: this.props.changeTheme
    }));
  }
}
exports.Themes = Themes;
const mapStateToProps = state => ({
  theme: state.theme
});
const actionCreators = {
  changeTheme: _actions.changeTheme
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, actionCreators)(Themes);