"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var _ui = require("@redux-devtools/ui");
var _actions = require("../actions");
var _Header = _interopRequireDefault(require("../components/Header"));
var _Actions = _interopRequireDefault(require("./Actions"));
var _Settings = _interopRequireDefault(require("../components/Settings"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class App extends _react.Component {
  render() {
    const {
      extraSettingsTabs,
      section,
      theme,
      notification
    } = this.props;
    let body;
    switch (section) {
      case 'Settings':
        body = /*#__PURE__*/_react.default.createElement(_Settings.default, {
          extraTabs: extraSettingsTabs
        });
        break;
      default:
        body = /*#__PURE__*/_react.default.createElement(_Actions.default, null);
    }
    return /*#__PURE__*/_react.default.createElement(_ui.Container, {
      themeData: theme
    }, /*#__PURE__*/_react.default.createElement(_Header.default, {
      section: section
    }), body, notification && /*#__PURE__*/_react.default.createElement(_ui.Notification, {
      type: notification.type,
      onClose: this.props.clearNotification
    }, notification.message));
  }
}
const mapStateToProps = state => ({
  section: state.section,
  theme: state.theme,
  notification: state.notification
});
const actionCreators = {
  clearNotification: _actions.clearNotification
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, actionCreators)(App);