"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _inspectorMonitor = require("@redux-devtools/inspector-monitor");
var _inspectorMonitorTraceTab = require("@redux-devtools/inspector-monitor-trace-tab");
var _inspectorMonitorTestTab = require("@redux-devtools/inspector-monitor-test-tab");
var _dataTypes = require("../../../constants/dataTypes");
var _SubTabs = _interopRequireDefault(require("./SubTabs"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const DEFAULT_TABS = [{
  name: 'Action',
  component: _SubTabs.default
}, {
  name: 'State',
  component: _SubTabs.default
}, {
  name: 'Diff',
  component: _SubTabs.default
}, {
  name: 'Trace',
  component: _inspectorMonitorTraceTab.TraceTab
}];
class InspectorWrapper extends _react.Component {
  // eslint-disable-next-line @typescript-eslint/unbound-method
  static update = _inspectorMonitor.InspectorMonitor.update;
  render() {
    const {
      features,
      ...rest
    } = this.props;
    let tabs;
    if (features && features.test) {
      tabs = () => [...DEFAULT_TABS, {
        name: 'Test',
        component: _inspectorMonitorTestTab.TestTab
      }];
    } else {
      tabs = () => DEFAULT_TABS;
    }
    return /*#__PURE__*/_react.default.createElement(_inspectorMonitor.InspectorMonitor, (0, _extends2.default)({
      dataTypeKey: _dataTypes.DATA_TYPE_KEY,
      invertTheme: false,
      tabs: tabs,
      hideActionButtons: !features.skip,
      hideMainButtons: true
    }, rest));
  }
}
var _default = exports.default = InspectorWrapper;