import React, { Component } from 'react';
import { Toolbar, Divider } from '@redux-devtools/ui';
import ExportButton from './buttons/ExportButton';
import ImportButton from './buttons/ImportButton';
import PrintButton from './buttons/PrintButton';
import DispatcherButton from './buttons/DispatcherButton';
import SliderButton from './buttons/SliderButton';
import MonitorSelector from './MonitorSelector';
export default class BottomButtons extends Component {
  shouldComponentUpdate(nextProps) {
    return nextProps.dispatcherIsOpen !== this.props.dispatcherIsOpen || nextProps.sliderIsOpen !== this.props.sliderIsOpen || nextProps.options !== this.props.options;
  }
  render() {
    const features = this.props.options.features;
    return /*#__PURE__*/React.createElement(Toolbar, {
      borderPosition: "top"
    }, features.export && /*#__PURE__*/React.createElement(ExportButton, null), features.import && /*#__PURE__*/React.createElement(ImportButton, null), /*#__PURE__*/React.createElement(PrintButton, null), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(MonitorSelector, null), /*#__PURE__*/React.createElement(Divider, null), features.jump && /*#__PURE__*/React.createElement(SliderButton, {
      isOpen: this.props.sliderIsOpen
    }), features.dispatch && /*#__PURE__*/React.createElement(DispatcherButton, {
      dispatcherIsOpen: this.props.dispatcherIsOpen
    }));
  }
}