import React, { Component } from 'react';
import { Tabs } from '@redux-devtools/ui';
import Themes from './Themes';
import StateTree from './StateTree';
// eslint-disable-next-line @typescript-eslint/ban-types
export default class Settings extends Component {
  state = {
    selected: undefined
  };
  handleSelect = selected => {
    this.setState({
      selected
    });
  };
  render() {
    const {
      extraTabs = []
    } = this.props;
    const tabs = [...extraTabs, {
      name: 'Themes',
      component: Themes
    }, {
      name: 'State Tree',
      component: StateTree
    }];
    return (
      /*#__PURE__*/
      // eslint-disable-next-line @typescript-eslint/ban-types
      React.createElement(Tabs, {
        tabs: tabs,
        selected: this.state.selected || tabs[0].name,
        onClick: this.handleSelect
      })
    );
  }
}