import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { selectInstance } from '../actions';
import { CoreStoreState } from '../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps;
declare class InstanceSelector extends Component<Props> {
    select?: {
        readonly value: string;
        readonly label: string | number;
    }[];
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: CoreStoreState) => {
    selected: string | number | null;
    instances: {
        [id: string]: import("..").Options;
    };
};
declare const actionCreators: {
    onSelect: typeof selectInstance;
};
declare const _default: import("react-redux").ConnectedComponent<typeof InstanceSelector, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<InstanceSelector> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
