import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { Tab } from '@redux-devtools/ui';
import { TabComponentProps } from '@redux-devtools/inspector-monitor';
import { Action } from 'redux';
import { selectMonitorTab } from '../../../actions';
import { CoreStoreState } from '../../../reducers';
import type { Delta } from 'jsondiffpatch';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps & TabComponentProps<unknown, Action<string>>;
declare class SubTabs extends Component<Props> {
    tabs?: (Tab<Props> | Tab<{
        data: unknown;
    }> | Tab<{
        data?: Delta;
    }>)[];
    constructor(props: Props);
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    selector: () => {
        data: unknown;
    };
    updateTabs(props: Props): void;
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: CoreStoreState) => {
    parentTab: string | undefined;
    selected: string | undefined;
};
declare const actionCreators: {
    selectMonitorTab: typeof selectMonitorTab;
};
declare const _default: import("react-redux").ConnectedComponent<typeof SubTabs, {
    delta: false | Delta | null;
    key?: React.Key | null | undefined;
    action: Action<string>;
    ref?: React.LegacyRef<SubTabs> | undefined;
    actions: {
        [actionId: number]: import("@redux-devtools/instrument").PerformAction<Action<string>>;
    };
    computedStates: {
        state: unknown;
        error?: string | undefined;
    }[];
    monitorState: import("@redux-devtools/inspector-monitor").DevtoolsInspectorState;
    selectedActionId: number | null;
    startActionId: number | null;
    invertTheme: boolean;
    labelRenderer: import("@redux-devtools/inspector-monitor").LabelRenderer;
    base16Theme: import("@redux-devtools/ui").Base16Theme;
    isWideLayout: boolean;
    sortStateTreeAlphabetically: boolean;
    disableStateTreeCollection: boolean;
    dataTypeKey: string | symbol | undefined;
    nextState: unknown;
    updateMonitorState: (monitorState: Partial<import("@redux-devtools/inspector-monitor").DevtoolsInspectorState>) => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
